Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Error during oomph Papyrus installation.(installation error.)
Error during oomph Papyrus installation. [message #1697052] Mon, 01 June 2015 08:55 Go to next message
MyungWoon Oh is currently offline MyungWoon OhFriend
Messages: 52
Registered: March 2012
Member
Hi.

I'm making Papyrus Development Environment using oomph.

I selected 'Eclipse Modeling Tools' in the first screen titled with 'Product',
then selected 'Papyrus' folder in the second screen titled with 'Projects' of oomph,
then specified the installation location and workspace location, target platform 'Luna',
then clicked 'Next'.

After it finished the Bootstrap tasks, it produces error like below while Executing startup tasks.
I repeated three times, but it produces the same error.

ERROR: org.eclipse.equinox.p2.metadata.repository code=1000 No repository found at http://download.eclipse.org/modeling/gmp/gmf-runtime/updates/milestones/S201502040533.
  at org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:661)
  at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:994)
  at org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:125)
  at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:912)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:2904)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:2863)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:3948)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2313)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:3942)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:3940)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:2854)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:2829)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:2760)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:539)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:624)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)


How can I fix this error and succeed in getting clean Papyrus Development Environment?
Re: Error during oomph Papyrus installation. [message #1697073 is a reply to message #1697052] Mon, 01 June 2015 12:25 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 926
Registered: February 2011
Senior Member
Hi,

I was just updating the Oomph setup for Mars and noticed that the Luna setups includes some Mars Milestone update sites... Which seems highly suspicious.

I will update the setup, which should solve the issue, but this will also downgrade some of the versions (From Mars to Luna), so this may have some impacts on update scenarios... Which is still less severe than update sites not found, I suppose

Regards,
Camille


Camille Letavernier
Re: Error during oomph Papyrus installation. [message #1697075 is a reply to message #1697073] Mon, 01 June 2015 12:29 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 926
Registered: February 2011
Senior Member
Hi,

I have re-updated the Oomph setup for Luna to pick the Luna SR2 update sites, rather than Mars milestones. This should hopefully solve the issue. Can you please try again?

Regards,
Camille


Camille Letavernier
Re: Error during oomph Papyrus installation. [message #1697170 is a reply to message #1697075] Tue, 02 June 2015 07:22 Go to previous messageGo to next message
MyungWoon Oh is currently offline MyungWoon OhFriend
Messages: 52
Registered: March 2012
Member
Thank you for the quick reply.

I tried again and it worked!!

But after importing Papyrus Projects, I got build errors like below.

index.php/fa/22021/0/

Errors count is about 13,700.

I tried to start resolving these build errors by manually installing 'QVT Operational SDK'.
But after installing QVT Operational SDK, the errors count increased to over 814,000.

I installed EMF Facet SDK, MoDisco SDK, WST XML Core, XText complete SDK, OCL examples and Editors SDK, Acceleo, Acceleo Core SDK to reslove the build errors, but the errors count was even increased a little bit, not decreased.

How can I resolve all those build errors?
I try to find answers from the documents of Papyrus site, but I couldn't.

Please help me out.

[Updated on: Tue, 02 June 2015 07:23]

Report message to a moderator

Re: Error during oomph Papyrus installation. [message #1697183 is a reply to message #1697170] Tue, 02 June 2015 08:11 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6798
Registered: July 2009
Senior Member
Hi

Eclipse's incremental build is often good, but not always.

I find that a major GIT commit change often fools it.

Refresh all projects; this will often trigger rebuilds
Clean All; if the above didn't work
Restart; if the above didn't work

Your additional installs should not be needed, so you risk making
matters worse but installing a wrong. REvert o your configuration before
those installs and let Eclipse Restart and sort it all out.

Regards

Ed Willink

On 02/06/2015 08:22, MyungWoon Oh wrote:
> Thank you for the quick reply.
>
> I tried again and it worked!!
>
> But after importing Papyrus Projects, I got build errors like below.
>
>
>
> Errors count is over 13,700.
>
> I tried to start resolving these build errors by manually installing 'QVT Operational SDK'.
> But after installing QVT Operational SDK, the errors count increased to over 814,000.
>
> I installed EMF Facet SDK, MoDisco SDK, WST XML Core, XText complete SDK, OCL examples and Editors SDK, Acceleo, Acceleo Core SDK to reslove the build errors, but the errors count was even increased a little bit, not decreased.
>
> How can I resolve all those build errors?
> I try to find answers from the documents of Papyrus site, but I couldn't.
>
> Please help me out.
Previous Topic:Clicking "New Papyrus Project" does nothing
Next Topic:SysML diagram lost.
Goto Forum:
  


Current Time: Fri Aug 14 08:54:53 GMT 2020

Powered by FUDForum. Page generated in 0.02210 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top